Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.type
Interface SchemaDeclaration

public interface SchemaDeclaration

This is a marker interface that acts as a surrogate for an object representing an element or attribute declaration. The real implementation of these declarations is available in the schema-aware version of the Saxon product.

Method Summary
`SchemaType` | `getType()`

Method Detail

### getType

    public SchemaType getType()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD